Qt 5.6 | Qt 3D | C++ Classes | QPointSize

Qt 5.6.3 Reference Documentation

# QPointSize Class

(Qt3DRender::QPointSize)

Specifies the size of rasterized points. May either be set statically or by shader programs. More...

Header: | #include <QPointSize>
qmake: | QT += 3drender
Inherits: | QRenderState

- List of all members, including inherited members

## Public Types

enum | Specification { StaticValue, Programmable }

## Properties

- specification : Specification
- value : float

- 2 properties inherited from Qt3DCore::QNode

## Public Functions

| QPointSize(Qt3DCore::QNode *parent = Q_NULLPTR)
| ~QPointSize()
bool | isProgrammable() const
Specification | specification() const
float | value() const

- 1 public function inherited from Qt3DRender::QRenderState
- 6 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setSpecification(Specification spec)
void | setValue(float value)

- 2 public slots inherited from Qt3DCore::QNode

## Signals

void | specificationChanged(Specification spec)
void | valueChanged(float value)

- 2 signals inherited from Qt3DCore::QNode

## Protected Functions

void | copy(const Qt3DCore::QNode *ref)

- 3 protected functions inherited from Qt3DCore::QNode

### Additional Inherited Members

- 1 static protected member inherited from Qt3DCore::QNode

## Detailed Description

Specifies the size of rasterized points. May either be set statically or by shader programs.

When using StaticValue, the value is set using glPointSize(), if available. When using Programmable, gl_PointSize must be set within shader programs, the value provided to this RenderState is ignored in that case.

## Member Type Documentation

### enum QPointSize::Specification

## Property Documentation

### specification : Specification

Access functions:

Specification | specification() const
void | setSpecification(Specification spec)

Notifier signal:

void | specificationChanged(Specification spec)

### value : float

Access functions:

float | value() const
void | setValue(float value)

Notifier signal:

void | valueChanged(float value)

## Member Function Documentation

### QPointSize::QPointSize(Qt3DCore::QNode *parent = Q_NULLPTR)

Default constructs an instance of QPointSize.

### QPointSize::~QPointSize()

Destroys the instance of QPointSize.

### `[protected]` void QPointSize::copy(const Qt3DCore::QNode *ref)

### bool QPointSize::isProgrammable() const